Commit 622f4071 authored by Laurent Montel's avatar Laurent Montel 😁

Prepare to migrate to QtWebEngine

parent b999c76a
......@@ -82,6 +82,8 @@ option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branc
option(QTWEBENGINE_SUPPORT_OPTION "Enable support for QtWebEngine. False by default." FALSE)
option(MESSAGEVIEWER_USE_QTWEBENGINE "Use QtWebEngine in mail viewer. False by default." FALSE)
if (QTWEBENGINE_SUPPORT_OPTION)
set(QT_REQUIRED_MINIMUM_WEBENGINE_VERSION "5.6")
find_package(Qt5 ${QT_REQUIRED_MINIMUM_WEBENGINE_VERSION} CONFIG REQUIRED WebEngine WebEngineWidgets)
......
#cmakedefine HAVE_SYS_INOTIFY_H 1
#cmakedefine MESSAGEVIEWER_USE_QTWEBENGINE 1
......@@ -22,6 +22,7 @@
#define MAILVIEWER_P_H
#include <MimeTreeParser/NodeHelper>
#include "config-messageviewer.h"
#include "viewer.h" //not so nice, it is actually for the enums from MailViewer
#include "PimCommon/ShareServiceUrlManager"
#include "messageviewer/viewerplugininterface.h"
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment